#
# spec file for package perl-Quantum-Superpositions
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Quantum-Superpositions
BuildRequires:  perl-Class-Multimethods
BuildRequires:  perl-macros
Version:        2.02
Release:        284.5
Requires:       perl-Class-Multimethods
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic-1.0
Url:            http://cpan.org/modules/by-module/Quantum/
Source0:        http://cpan.org/modules/by-module/Quantum/Quantum-Superpositions-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Qm-like superpositions for Perl
%{perl_requires}

%description
The Quantum::Superpositions module provides a new scalar data
structure: the superposition. In a metaphor drawn from quantum
mechanics, superpositions store a collection of values by overlaying
them in parallel superimposed states within a single scalar variable.



Authors:
--------
    Damian Conway <damian@conway.org>

%prep
%setup -n Quantum-Superpositions-%{version}

%build
for f in `find . -type f -exec grep -l /usr/local/bin/perl \{\} \;` ; do
    rm -f tmp
    sed -e "s:^#!.*/usr/local/bin/perl:#!/usr/bin/perl:g" $f > tmp
    mv -f tmp $f
done
perl Makefile.PL
make %{?_smp_mflags}
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
chmod 644 Changes $RPM_BUILD_ROOT%{perl_vendorlib}/Quantum/Superpositions.pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes demo
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Quantum
%{perl_vendorarch}/auto/Quantum

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 24 2003 mjancar@suse.cz
- update to 2.02
* Thu Jul 17 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 coolo@suse.de
- package directories
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Fri Dec 27 2002 prehak@suse.cz
- updated to version 1.05
- added doc files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Thu Aug  2 2001 rvasice@suse.cz
- initial package release (version 1.03)
